# MENGA
Multimodal Environment for Neuroimaging and Genomic Analysis (MENGA) is a platform for the integration of imaging data and Allen Human Brain Atlas mRNA data. MENGA aims to provide a comprehensive environment to investigate correlation patterns between various imaging modalities and gene expression profiles based on the Allen Brain Atlas.

<b>This is the new version (MENGA 3.1), that includes two independent adds-on to use with MENGA (MENGA_GENE_EXPRESSION and MENGA_GENOMIC_PLOT).</b>

Briefly, the first add-on extracts mRNA data in log2 values in case one wants to analyse only transcriptome data; the second extracts mRNA data in linear scale to be used to implement the <b><i>genomic plot</b></i> (<i>doi: 10.1016/j.neuroimage.2016.01.058</i>). 

Therefore, the processed ABA database has remained the same: if you already have downloaded MENGA 3.0, you just need to download the updated code (code_MENGA_31.zip) and the updated manual.
If you don't have the full database, you can find it at the public repositories listed below (NITRC, figshare, or FAIR at the Department website).

<i>There are two main files: "code_MENGA_31.zip" contains all the code files, "MANUAL_MENGA_31_20160427" contains the updated manual.</i>

<b>Note: the genomic database is too heavy to be shared on GitHub. Please find it at: http://fair.dei.unipd.it/require-software or http://www.nitrc.org/projects/menga/ or https://figshare.com/articles/MENGA_3_1/3203395</b>

Image data can be found in the figshare repository (dopamine PET and SPET images, https://figshare.com/articles/Image_data/2068011; MR-based water content, https://figshare.com/articles/MR_based_absolute_myelin_water_image/2068047; serotonin and dopamine D2 PET images: https://figshare.com/articles/Serotonin_and_dopamine_D2_PET_images/2068044).

<b>We have now published the reference paper of MENGA on PlosOne, in which all the aspects of the software and its functionalities are described in details: http://journals.plos.org/plosone/article?id=10.1371/journal.pone.0148744</b>

Current version is 3.1
